<?php

require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/Request.class.php';
require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/Response.class.php';
require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/Utils.class.php';
require_once XOOPS_ROOT_PATH . '/include/cp_header.php';
require_once XOOPS_ROOT_PATH . '/modules/legacyRender/kernel/Legacy_AdminRenderSystem.class.php';
require_once 'actions/SystemItemFieldValueSetSubAction.class.php';

$request = new Xoonips_Request();
$response = new Xoonips_Response();
$op = $request->getParameter('op');
if ($op == null) {
	$op = 'init';
}

// check request
if (!in_array($op, array('init', 'update'))) {
	die('illegal reuest');
}

// set action map
$actionMap = array();
$dirname = Xoonips_Utils::getDirname();
$actionMap['init_success'] = 'system_item_field_value_set_sub.html';
$actionMap['update_success'] = 'admin_common_msg_sub.html';
$actionMap['input_error'] = 'system_item_field_value_set_sub.html';

//include XOOPS_ROOT_PATH . '/header.php';

// do action
$action = new Xoonips_SystemItemFieldValueSetSubAction();
$action->doAction($request, $response);

// forward
$response->forwardLayeredWindow($actionMap, true);

//include XOOPS_ROOT_PATH . '/footer.php';
?>
